# BoneGroups(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BoneGroups`(bpy_struct)

  Collection of bone groups

  `active`

    Active bone group for this pose

    Type: | `BoneGroup`

  `active_index`

    Active index in bone groups array

    Type: | int in [0, inf], default 0

  `new`(name="Group")

    Add a new bone group to the object

    Parameters: | name (string, (optional, never None)) – Name of the new group
    Returns: | New bone group
    Return type: | `BoneGroup`

  `remove`(group)

    Remove a bone group from this object

    Parameters: | group (`BoneGroup`, (never None)) – Removed bone group

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Pose.bone_groups` |